/*
 *  mdc_box_handle.h
 *  mdcanvas
 *
 *  Created by Alfredo Kojima on 07/May/1.
 *  Copyright 2007 MySQL AB. All rights reserved.
 *
 */

#ifndef _MDC_BOX_HANDLE_H_
#define _MDC_BOX_HANDLE_H_

#include "mdc_item_handle.h"

BEGIN_MDC_DECLS

class MYSQLCANVAS_PUBLIC_FUNC BoxHandle : public ItemHandle {
public:
  BoxHandle(InteractionLayer *ilayer, CanvasItem *item, const Point &pos);
  virtual ~BoxHandle();

  virtual mdc::Rect get_bounds() const;
};

END_MDC_DECLS

#endif
